using System;

namespace kvalifikacije1_2022_namestanje_glasova
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prvi = Console.ReadLine().Split();
            string[] drugi = Console.ReadLine().Split();
            string[] treci = Console.ReadLine().Split();
            int n = int.Parse(prvi[0]);
            int q = int.Parse(prvi[1]);
            int[] a = new int[n];
            int[] b = new int[q];
            int[] potr = new int[q];
            int i;
            int j;
            int k;
            //int c;
            int pom;
            int med;
            int medbr;
            int poz = 0;
            //int[] privremeni = new int[n + 1];

            int[] novi = new int[n + 1];
            //int veci;
            for (i = 0; i < n; i++)                
             {   
                a[i] = int.Parse(drugi[i]);
            }
            for (j = 0; j < q; j++)
            {
                b[j] = int.Parse(treci[j]);
            }
            for (i = 0; i < n - 1; i++)
            {
                for (k = i + 1; k < n; k++)
                {
                    if (a[i] > a[k])
                    {
                        pom = a[i];
                        a[i] = a[k];
                        a[k] = pom;
                    }
                }
            }
            if ((n - 1) % 2 == 0)
                med = (n - 1) / 2;
            else
                med = (n - 1) / 2 + 1;



            for(j = 0;j < q; j++) 
            {
                for(i = 0; i < n; i++)
                {
                    if (b[j] == a[i])
                    {
                        poz = i;
                        i = n;
                    }
                 }
                    if(b[j] > a[n - 1])
                    {
                        poz = n;
                    }
                    for(i = 0; i < n - 1; i++)
                    {
                        if(b[j] > a[i] && b[j] < a[i + 1])
                        {
                            poz = i + 1;
                            int priv = n + 1;
                        }
                    }
                int medd = poz - med;
                if (poz == n)
                {
                    medd = n;
                }
                Console.WriteLine(Math.Abs(medd));

            }
        }
    }
}